
ItemEvents.modification(event => {
	function maxDura(modifiedItem, modifiedAmount) {
		event.modify(modifiedItem, item => {item.maxDamage = modifiedAmount})
	}


	event.modify([
	'oreganized:electrum_pickaxe',
	'oreganized:electrum_axe',
	'oreganized:electrum_shovel',
	'oreganized:electrum_hoe',
	'oreganized:electrum_sword',
	'oreganized:electrum_knife',
	
	], item => {item.maxDamage = 2034})

        event.modify([
        'caverns_and_chasms:silver_axe',
        'caverns_and_chasms:silver_hoe',
        'caverns_and_chasms:silver_sword',
        'caverns_and_chasms:silver_pickaxe',
        'caverns_and_chasms:silver_shovel'

], item => {item.maxDamage = 232})
	

	event.modify([
	'alloyed:steel_pickaxe',
	'alloyed:steel_axe',
	'alloyed:steel_shovel',
	'alloyed:steel_hoe',
	'alloyed:steel_sword',
	'alloyed:steel_knife',
	'trials:mace'
	], item => {item.maxDamage = 1400})

     event.modify([
	'minecraft:netherite_pickaxe',
	'minecraft:netherite_axe',
	'minecraft:netherite_shovel',
	'minecraft:netherite_hoe',
	'minecraft:netherite_sword',
	'farmersdelight:netherite_knife',

	], item => {item.maxDamage = 2500})
	

	event.modify([
	'caverns_and_chasms:necromium_pickaxe',
	'caverns_and_chasms:necromium_axe',
	'caverns_and_chasms:necromium_shovel',
	'caverns_and_chasms:necromium_hoe',
	'caverns_and_chasms:necromium_sword',
	
	], item => {item.maxDamage = 2200})
	
event.modify([
	'additionaladditions:rose_gold_pickaxe',
	'additionaladditions:rose_gold_axe',
	'additionaladditions:rose_gold_shovel',
	'additionaladditions:rose_gold_hoe',
	'additionaladditions:rose_gold_sword'
	], item => {item.maxDamage = 760})

        event.modify([
	'sullysmod:jade_shield'
	], item => {item.maxDamage = 500})

         event.modify([
	'additionaladditions:rose_gold_helmet',
	'additionaladditions:rose_gold_chestplate',
	'additionaladditions:rose_gold_leggings',
	'additionaladditions:rose_gold_boots'
	], item => {item.maxDamage = 430})

         event.modify([
 	'caverns_and_chasms:sanguine_helmet',
	'caverns_and_chasms:sanguine_chestplate',
	'caverns_and_chasms:sanguine_leggings',
	'caverns_and_chasms:sanguine_boots',
	'shieldexp:iron_shield'
	], item => {item.maxDamage = 520})

         event.modify([
 	'caverns_and_chasms:silver_helmet',
	'caverns_and_chasms:silver_chestplate',
	'caverns_and_chasms:silver_leggings',
	'caverns_and_chasms:silver_boots',
	'shieldexp:iron_shield'
	], item => {item.maxDamage = 280})

        event.modify([
	'alloyed:steel_helmet',
	'alloyed:steel_chestplate',
	'alloyed:steel_leggings',
	'alloyed:steel_boots'
	], item => {item.maxDamage = 560})

        event.modify([
	'oreganized:electrum_helmet',
	'oreganized:electrum_chestplate',
	'oreganized:electrum_leggings',
	'oreganized:electrum_boots'
	], item => {item.maxDamage = 620})


        event.modify([
	'caverns_and_chasms:necromium_helmet',
	'caverns_and_chasms:necromium_chestplate',
	'caverns_and_chasms:necromium_leggings',
	'caverns_and_chasms:necromium_boots'
	], item => {item.maxDamage = 640})
        
        event.modify([
	'minecraft:netherite_helmet',
	'minecraft:netherite_chestplate',
	'minecraft:netherite_leggings',
	'minecraft:netherite_boots'
	], item => {item.maxDamage = 700})
 
        event.modify([
        'twilightforest:ironwood_axe',
        'twilightforest:ironwood_pickaxe',
        'twilightforest:ironwood_shovel',
        'twilightforest:ironwood_hoe',
        'twilightforest:ironwood_sword'
        ], item => {item.maxDamage = 1024})


 event.modify([
'twilightforest:ironwood_boots',
'twilightforest:ironwood_leggings',
'twilightforest:ironwood_helmet',
'twilightforest:ironwood_chestplate'
 ], item => {item.maxDamage = 500})

 event.modify([
'twilightforest:diamond_minotaur_axe',
'twilightforest:fiery_sword',
'twilightforest:fiery_pickaxe'
  ], item => {item.maxDamage = 1800})
   event.modify([
'twilightforest:fiery_boots',
'twilightforest:fiery_leggings',
'twilightforest:fiery_chestplate',
'twilightforest:fiery_helmet',
'twilightforest:knightmetal_shield'
  ], item => {item.maxDamage = 790})
         event.modify([
'twilightforest:steeleaf_boots',
'twilightforest:steeleaf_leggings',
'twilightforest:steeleaf_chestplate',
'twilightforest:steeleaf_helmet'
 ], item => {item.maxDamage = 220})

 event.modify([
'twilightforest:steeleaf_hoe',
'twilightforest:steeleaf_axe',
'twilightforest:steeleaf_pickaxe',
'twilightforest:steeleaf_sword',
'twilightforest:steeleaf_shovel'
], item => {item.maxDamage = 320})


  event.modify([
'twilightforest:arctic_helmet',
'twilightforest:arctic_chestplate',
'twilightforest:arctic_leggings',
'twilightforest:arctic_boots'
 ], item => {item.maxDamage = 500})

 event.modify([
'twilightforest:block_and_chain',
'twilightforest:knightmetal_axe',
'twilightforest:knightmetal_pickaxe',
'twilightforest:knightmetal_sword',
'twilightforest:naga_leggings',
'twilightforest:naga_chestplate',

 ], item => {item.maxDamage = 700})
})